# Method: monetization.convertRegionPrices

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#body.ConvertRegionPricesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#body.aspect)
- [ConvertedRegionPrice](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#ConvertedRegionPrice)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#ConvertedRegionPrice.SCHEMA_REPRESENTATION)
- [ConvertedOtherRegionsPrice](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#ConvertedOtherRegionsPrice)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#ConvertedOtherRegionsPrice.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#try-it)

Calculates the region prices, using today's exchange rate and country-specific pricing patterns, based on the price in the request for a set of regions.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/pricing:convertRegionPrices`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The app package name. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "price": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Money`) }, "productTaxCategoryCode": string } ``` |

| Fields ||
|---|---|
| `price` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Money`)`` The intital price to convert other regions from. Tax exclusive. |
| `productTaxCategoryCode` | `string` Optional. Product tax category code in context. Product tax category determines the transaction tax rates applied to the product that will be factored into the price calculation. If not set, tax rates for the default product tax category will be used. Refer to the [Help Center article](https://support.google.com/googleplay/android-developer/answer/16408159) for more information. |

### Response body

Response message for monetization.convertRegionPrices.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "convertedRegionPrices": { string: { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#ConvertedRegionPrice`) }, ... }, "convertedOtherRegionsPrice": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#ConvertedOtherRegionsPrice`) }, "regionVersion": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/RegionsVersion`) } } ``` |

| Fields ||
|---|---|
| `convertedRegionPrices` | ``map (key: string, value: object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#ConvertedRegionPrice`))`` Map from region code to converted region price. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| `convertedOtherRegionsPrice` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization/convertRegionPrices#ConvertedOtherRegionsPrice`)`` Converted other regions prices in USD and EUR, to use for countries where Play doesn't support a country's local currency. |
| `regionVersion` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/RegionsVersion`)`` The region version at which the prices were generated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## ConvertedRegionPrice

A converted region price.

| JSON representation |
|---|
| ``` { "regionCode": string, "price": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Money`) }, "taxAmount": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Money`) } } ``` |

| Fields ||
|---|---|
| `regionCode` | `string` The region code of the region. |
| `price` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Money`)`` The converted price tax inclusive. |
| `taxAmount` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Money`)`` The tax amount of the converted price. |

## ConvertedOtherRegionsPrice

Converted other regions prices.

| JSON representation |
|---|
| ``` { "usdPrice": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Money`) }, "eurPrice": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Money`) } } ``` |

| Fields ||
|---|---|
| `usdPrice` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Money`)`` Price in USD to use for the "Other regions" location exclusive of taxes. |
| `eurPrice` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Money`)`` Price in EUR to use for the "Other regions" location exclusive of taxes. |